extractr docs
Resident Advisor

List areas (cities/regions)

GET
/ra/areas

RA areas — the cities and regions events are grouped under. Filter by country_id. Use the returned id with event_listings and popular_venues.

Costs 1 credit per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

country_id?integer|null
near_lat?|
Range-90 <= value <= 90
near_lng?|
Range-180 <= value <= 180

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ra/areas"
{  "areas": [    {      "id": "13",      "name": "London",      "url_name": "uk/london",      "country": {        "id": "3",        "name": "United Kingdom",        "iso_code": "GB",        "top_country": true      },      "timezone": "Europe/London",      "location": {        "lat": 51.5074,        "lng": -0.1278      }    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}